Bug 643748 - wrong groupid for ant dep in pmd pom file
Summary: wrong groupid for ant dep in pmd pom file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pmd
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-17 19:39 UTC by Terje Røsten
Modified: 2010-12-08 21:35 UTC (History)
1 user (show)

Fixed In Version: pmd-4.2.5-6.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-08 21:35:02 UTC
Type: ---


Attachments (Terms of Use)

Description Terje Røsten 2010-10-17 19:39:06 UTC
Description of problem:

pmd list a dep on ant in /usr/share/maven2/poms/JPP-pmd.pom as:

    <dependency>
      <groupId>ant</groupId>
      <artifactId>ant</artifactId>
      <version>1.6</version>
    </dependency>

however the correct groupid for ant is now org.apache.ant.

Ref. to similar problem:

http://thread.gmane.org/gmane.linux.redhat.fedora.java/3604/focus=3612

Comment 1 Jerry James 2010-11-29 18:39:08 UTC
I'll shortly have new builds for Rawhide and F-14 with this fixed.  Does this issue also affect F-13?

Comment 2 Terje Røsten 2010-11-29 18:53:38 UTC
Hm,  F13 and F14 has the same ant it seems, let's see:

$ rpm -q ant
ant-1.7.1-13.fc13.x86_64
$ grep  groupId /usr/share/maven2/poms/JPP-ant.pom|head -1
    <groupId>org.apache.ant</groupId>

So yes, F13 is affected too. (However,  I don't use F13 as maven is too old).

Thanks!

Comment 3 Fedora Update System 2010-11-29 20:17:41 UTC
pmd-4.2.5-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pmd-4.2.5-8.fc14

Comment 4 Fedora Update System 2010-11-29 20:17:47 UTC
pmd-4.2.5-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pmd-4.2.5-6.fc13

Comment 5 Fedora Update System 2010-11-30 22:41:59 UTC
pmd-4.2.5-8.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pmd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pmd-4.2.5-8.fc14

Comment 6 Fedora Update System 2010-12-08 21:34:58 UTC
pmd-4.2.5-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-12-08 21:35:48 UTC
pmd-4.2.5-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.